import { Buffer } from "buffer";
import { HTTPRequest } from "./types";
import { PointerInfo } from "./pointers";
/**
 * Given a blob, uploads the blob to LFS server and returns a PointerInfo,
 * which the caller can then combine with object path into a Pointer
 * and commit in place of the original Git blob.
 */
export default function uploadBlobs({ headers, url, auth }: HTTPRequest, contents: Buffer[]): Promise<PointerInfo[]>;
